">" is converted to "&gt;" when using the page-include macro

2010-07-31 16:55 - Viktor Petersson

Status: Closed Start date: 2010-07-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.6

Description

There appears to be a bug in the page-include macro for the wiki. When including a page that contains the character ">", it will be

displayed as ">".

How to replicate:

Create a wiki-page with some text that includes a > (ex. "echo hello >> /tmp/foobar").

Create another wiki-page and include the previous page with the include macro

I'm unable to write out the include command but you guys probably know it (if not, it's explained here)

System info:

FreeBSD 7.1

Redmine 0.9.6.stable

Ruby 1.8.7.248,1

MySQL 5.5.3

History

#1 - 2010-07-31 23:32 - Felix Schäfer

Can't reproduce on current trunk, see http://orga.fachschaften.org/projects/sandbox/wiki/Wiki which includes 

http://orga.fachschaften.org/projects/sandbox/wiki/Test .

#2 - 2010-08-03 11:10 - Viktor Petersson

- Status changed from New to Resolved

Yes, appears as it have been resolved in the latest branch (or it was something in my setup). I wasn't able to reproduce the issue in the demo-setup:

http://demo.redmine.org/projects/ticketsixtyten/wiki/IncludePage

#3 - 2010-08-03 13:44 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid
